%define		debug_package %{nil}

Name:		webkit-sharp
Version:	0.2
Release:	6%{?dist}
Summary:	.NET bindings for WebKit
Group:		Development/Languages
License:	MIT
URL:		http://ftp.novell.com/pub/mono/sources/webkit-sharp/
Source0:	http://ftp.novell.com/pub/mono/sources/webkit-sharp/%{name}-%{version}.tar.bz2
Patch0:		webkit-sharp-libdir.patch
Patch1:		webkit-dllmap-fix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	webkitgtk
BuildRequires:	webkitgtk-devel
BuildRequires:	mono-devel
BuildRequires:	gtk-sharp2-devel
BuildRequires:	gtk-sharp2-gapi
BuildRequires:	monodoc-devel

ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 armv4l sparcv9 alpha s390 s390x

%description
WebKit-sharp is .NET bindings for the WebKit rendering engine.

%package devel
Summary:	Development files for WebKit-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development files for WebKit-sharp

%prep
%setup -q

# patch for libdir madness
%patch0 -p1 -b webkit-sharp-libdir.patch
#patch for updated webkit version
%patch1 -p1 -b webkit-dllmap-fix.patch

%build
%configure
# parallel build fails in mock
make

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/mono/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/webkit-sharp-1.0.pc
%{_libdir}/monodoc/sources/webkit-sharp*

%changelog
* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.2-6
- build for sparcv9 s390 s390x

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 21 2009 Paul Lange <palango@gmx.de> - 0.2-4
- Fix supported archs

* Sun Jun 14 2009 Paul Lange <palango@gmx.de> - 0.2-3
- Fix wrong webkitgtk link and missing dependency (#500654)

* Mon May 25 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.2-2
- Build arch ppc64.

* Sat Feb 21 2009 David Nielsen <gnomeuser@gmail.com> - 0.2-1
- Initial package
